from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms

class RegisterForm(UserCreationForm):
    class Meta:
        model=User
        fields = ['username','password1','password2', "email"]
        
    username = forms.CharField(
        widget=forms.TextInput(attrs={'placeholder': 'BENUTZERNAME'})
    )
    email = forms.EmailField(
        widget=forms.TextInput(attrs={'placeholder': 'E-MAIL'})
    )

    password1 = forms.CharField(
        widget=forms.PasswordInput(attrs={'placeholder': 'PASSWORT'})
    )
    password2 = forms.CharField(
        widget=forms.PasswordInput(attrs={'placeholder': 'PASSWORT WIEDERHOLEN'})
    )


